<?php
  
/*
---------------
Добавить раздел
---------------
*/
  
ACCESS('users');

IF (POST('ok')){
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $message = ADSL(POST('message'));
  
  IF (STR($name) < 1){
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 120){
    
    ERROR('Имя не может быть больше 120 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 200){
    
    ERROR('Описание не может быть больше 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `COMMUNITIES_FORUM_SECTION` WHERE `NAME` = '".$name."' AND `COMMUNITY_ID` = '".$comm['ID']."' LIMIT 1") == 1){
    
    ERROR('Раздел с таким названием уже существует', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=communities&section=forum_section&id='.$comm['ID'].'&get=add');
    
  }
  
  DB::GET_ADD("INSERT INTO `COMMUNITIES_FORUM_SECTION` (`NAME`, `MESSAGE`, `COMMUNITY_ID`) VALUES ('".$name."', '".$message."', '".$comm['ID']."')");
  
  SUCCESS('Раздел успешно создан', 'session');
  REDIRECT('/modules/?path=communities&section=forum_section&id='.$comm['ID']);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=communities&section=forum_section&id=".$comm['ID']."&get=add'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 120 символов')."):<br />";
HTML::INPUT('name', 'Имя');

ECHO "<b>".LG('Введите содержание')."</b> (".LG('до 200 символов')."):<br />";
HTML::TEXTAREA(NULL, 'message', 'Введите содержание', NULL, 'form-control-100');

ECHO "<br />";

HTML::BUTTON('btn-big ajax-button', 'ok', 'plus', 'Добавить');

ECHO "</form>";

ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities'>".LG('Сообщества')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities&section=show&id=".$comm['ID']."'>".TEXT_ABSOLUTE($comm['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO LG('Форум');
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;
  
?>